// pages/searchRecords/searchRecords.js
const api = require('../../api/index')
const app = getApp()
import { $startWuxRefresher, $stopWuxRefresher,$stopWuxLoader} from '../../miniprogram_npm/wux-weapp/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tableData:[],
    queryParams:{
      current:1,
      size:10
    },
    total:0,
    loading:false,
    imgHttp:app.globalData.imghttp,
    scrolltop: 20,
    menu:[
      {
        label:'删除',
        method:'del',
        icon:''
      },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },


  /**
   * 页面功能
   */
  //初始化加载
  init(){
    var params = {
      current:1,
      size:10
    }
    this.setData(
      {
        queryParams:params,
        total:0,
        tableData:[]
      }
    )
    this.getSearchRecords()
  },
  //下拉
  onPulling() {
    console.log('onPulling')
  },
  //下拉刷新
  onRefresh() {
    console.log('onRefresh')
    this.init()
  },
  //查看图片
  previewImage(e) {
    const { current,imglist } = e.currentTarget.dataset
    var imgs = []
    for(var i =0;i<imglist.length;i++){
      imgs.push(this.data.imgHttp + imglist[i].guid)
    }
    current = this.data.imgHttp + current
    wx.previewImage({
      current,
      urls:imgs,
    })
  },
  //菜单点击
  clickMenu(e){
    console.log(e)
    var data = e.detail
    this[data.method](data.data,data.index)
  },
  del(data,index){

  },
  //获取检索记录
  getSearchRecords(){
    wx.showLoading({
      title: '加载中',
    })
    api.querySearchRecords(this.data.queryParams).then(res=>{
      if(res.code == 200){
        console.log(res)
        var data = this.data.tableData
        for(var i =0;i<res.data.data.length;i++){
          var item = res.data.data[i]
          if(item.searchCondition){
            try {  
                var obj = JSON.parse(item.searchCondition)
                if(obj){
                  var arr = Object.values(obj)
                  item.searchCondition = arr.join('；')
                }
            } catch (e) {  
              
            }
            
          }
          data.push(item)
        }
        // data = data.concat(res.data.data)
        this.setData(
          {
            tableData:data,
            total:res.data.total
          }
        )
      }
    })
  },
  //加载更多
  loadMore(){
    var current = this.data.queryParams.current
    this.setData(
      {
        ['queryParams.current']:current+1
      }
    )
    this.getSearchRecords()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})